# Works with either ElementTree or python-lxml
%define modname OWSLib
%define module  owslib

Name:           python-%{module}
Version:        0.17.1
Release:        %mkrel 3
Summary:        Client library for OGC web services
Group:          Development/Python
License:        BSD
URL:            https://geopython.github.io/OWSLib
Source0:        https://pypi.io/packages/source/o/owslib/%{modname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools

%description
Package for client programming with Open Geospatial Consortium (OGC) web
service (hence OWS) interface standards, and their related content models.

%package -n     python3-%{module}
Summary:        Client library for OGC web services
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-%{module}
Package for client programming with Open Geospatial Consortium (OGC) web
service (hence OWS) interface standards, and their related content models.

This is the Python 3 version of %{modname}.

%prep
%setup -q -n %{modname}-%{version}

# Remove bundled egg-info
rm -rf %{modname}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{module}
%doc README.rst CHANGES.rst AUTHORS.rst
%{python3_sitelib}/%{module}/
%{python3_sitelib}/%{modname}-%{version}-py*.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 0.17.1-3.mga8
+ Revision: 1532030
- Mageia 8 Mass Rebuild

* Sun Sep 15 2019 daviddavid <daviddavid> 0.17.1-2.mga8
+ Revision: 1441427
- rebuild for python3.8
- drop python2 support

* Thu Apr 04 2019 daviddavid <daviddavid> 0.17.1-1.mga7
+ Revision: 1385817
- initial package python-owslib

